# Trait ethcore_io::OnPanicListener [−] [src]

    pub trait OnPanicListener: Send + Sync + 'static {
        fn call(&mut self, arg: &str);
    }

Thread-safe closure for handling possible panics

## Required Methods

### `fn call(&mut self, arg: &str)`

Invoke listener

## Implementors

- `impl<F> OnPanicListener for F where F: FnMut(String) + Send + Sync + 'static`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)